Update: Waves AAX Native plugin support (Download Now)

waves_aax_native-555x222.png

An update to our post on Waves AAX Native plugin support: Because of insane demand, Waves was having some trouble providing a stable download... But Now It Is UP!

Go here for all the downloads and info!

More info from Waves regarding AAX support:

AAX Native is now supported - Download Now

Make sure you install Waves V9 plugins (V9r13 above) prior to AAX Native installation.

Notes

  • Waves installers can install all Waves products including Waves License Center. During the installation process, choose the specific products you want to install.
  • V6, V7, V8 and V9 can run concurrently on the same computer V9 installations will override the V6, V7, or V8 versions of identical plugins.
  • Waves V9 cannot be installed on PowerPC (G4/G5) Macs.